package com.bwie.auth.remote;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "bwie-system")
public interface AuthRemote {

    /**
     * 发送验证码
     * @param phone
     * @return
     */
    @PostMapping("/user/sendCode/{phone}")
    public Result<User> sendCode(@PathVariable String phone);
}
