package com.bwie.es.feign;

import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.Orders;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient("bwie-product")
public interface EsRemoteService {

    /**
     * 列表
     * @return
     */
    @GetMapping("/coupon/list")
    public Result<List<Coupon>> show();


}
