package com.bwie.es.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.request.CouponReq;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @ClassName:
 * @Description:
 * @Author: zhuwenqiang
 * @Date: 2024/6/5
 */
public interface EsService {

    /**
     * 批量同步
     * @param
     */
    void batchAdd(List<Coupon> couponList);

    /**
     * 学生搜索
     * @param
     * @return
     */
    Result<PageResult<Coupon>> search(CouponReq couponReq);
}
