package com.bwie.expressage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.Type;
import com.bwie.expressage.mapper.CouponMapper;
import com.bwie.expressage.service.CouponService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CouponServiceImpl
    extends ServiceImpl<CouponMapper,Coupon>
    implements CouponService{

    @Autowired
    private CouponMapper mapper;

    /**
     * 列表信息
     */
    @Override
    public List<Coupon> list() {
        List<Coupon> list = mapper.list();
        return list;
    }

    /**
     * 分类浏览
     */
    @Override
    public List<Type> selectById() {
        List<Type> types = mapper.selectById();
        return types;
    }
}
