package com.bwie.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bwie.common.domain.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserMapper extends BaseMapper<User> {

    /**
     * 发送验证码
     */
    User sendCode(@Param("phone") String phone);

    /**
     * 优惠券收到货之后加款
     */
    int addMoney(@Param("userId")Integer userId);

}
